package cache

import (
	"testing"
	"time"
)

func Test_RedisURI(t *testing.T) {
	cache, err := New("redis://redis")

	if err != nil {
		t.Fatal("Error creating cache:", err)
	}

	if _, ok := cache.(*RedisCache); !ok {
		t.Fatal("Cache is not instance of RedisCache")
	}
}

func Test_RedisStoreGet(t *testing.T) {
	cache, err := New("redis://redis")

	if err != nil {
		t.Fatal("Error creating cache:", err)
	}

	obj := "test"

	cache.Set("test", obj, time.Minute)

	var new string

	cache.Get("test", &new)

	if obj != new {
		t.Fatal("Expected", obj, "got", new)
	}
}
